Page MenuHomePhabricator

Support searching multiple filetypes at once
Closed, ResolvedPublic

Description

The search prototype will allow people to search for multiple filetypes at once (see https://phabricator.wikimedia.org/T212262)

It is currently possible to search for files of only 1 filetype (e.g. filetype:bitmap) or the inverse (-filetype:bitmap).
These filters are AND-ed, so a query like so: filetype:bitmap filetype:video, will find results that are both a bitmap & video. I.e. nothing.

It is somewhat possible to search for multiple filetypes already by negating all other filetypes. E.g.: -filetype:unknown -filetype:drawing -filetype:audio -filetype:multimedia -filetype:office -filetype:text -filetype:executable -filetype:archive -filetype:3d to find results that are either a bitmap or a video.
This is quite cumbersome though, and requires knowledge of all the (other) supported filetypes. It's quite possibly also not the most optimized solution to find the results needed, and how to rank them...

We should probably add proper support for searching for multiple filetypes at once, probably in a way similar to a few other filters (with a separator char), like: filetype:bitmap|video

Related Objects

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptJan 2 2019, 1:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF added subscribers: EBjune, Ramsey-WMF, Cparle.

Hmm. Pinging @EBjune and Team Search for assistance on this one :)

EBjune triaged this task as Normal priority.Jan 3 2019, 6:06 PM

Change 482250 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/CirrusSearch@master] or-able full text file type keyword

https://gerrit.wikimedia.org/r/482250

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Jan 4 2019, 8:01 PM

Change 482250 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] or-able full text file type keyword

https://gerrit.wikimedia.org/r/482250

Thank you Search Platform team, you're wonderful.

Declaring Resolved.

debt closed this task as Resolved.Jan 14 2019, 11:44 PM
debt added a subscriber: debt.

Yay!